<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
	if (!defined("IGNX")) { die("Attempt..."); }

	// JS incluidos
	
	// reconocer variables
	if (!isset($archivo_php)) { $archivo_php = ""; }
	if (!isset($archivo)) { $archivo = ""; }

?>
<script type="text/javascript">

function validar_ingreso (form)
{

<?php

	// TABLAS //

	// ARCHIVOS_HTML //
	if (strstr($archivo_php,ARCHIVOS_HTML))
	{
?>

	var alertaelegir = "<?php echo LEN_ADMIN_192;?>";
	
	if (!relleno(form.archivo.value) && !relleno(form.archivo_ftp.value))
	{
			alert(alertaelegir); return false;
	}

<?php
	if (!isset($ig[$campoid]) && !isset($in["actualizar"]))
	{
?>

	var alertaarchivo = "<?php echo LEN_ADMIN_21;?>";
	
		if (relleno(form.archivo.value) && relleno(form.archivo_ftp.value))
		{ 
			alert(alertaarchivo); form.archivo.focus(); return false;
		
		}
			
<?php
	}
?>


<?php
	// ARCHIVOS_PRIV //
	} else if (strstr($archivo_php,ARCHIVOS_PRIV))
	{
?>

	var alerta = "<?php echo LEN_ADMIN_19;?>";
	var alertafecha = "<?php echo LEN_ADMIN_20;?>";
	var alertaelegir = "<?php echo LEN_ADMIN_192;?>";
	
	if (!relleno(form.archivo.value) && !relleno(form.archivo_ftp.value))
	{
			alert(alertaelegir); return false;
	}

<?php
	if (!isset($ig[$campoid]) && !isset($in["actualizar"]))
	{
?>
	var alertaarchivo = "<?php echo LEN_ADMIN_21;?>";
	
		if (relleno(form.archivo.value) && relleno(form.archivo_ftp.value))
		{ 
			alert(alertaarchivo); form.archivo.focus(); return false;
		
		}
<?php
	}
?>

		if (relleno(form.fpass.value))
		{ 
			alert(alerta); form.fpass.focus(); return false; 
		}

		if (relleno(form.fecha.value))
		{ 
			alert(alerta); form.fecha.focus(); return false; 
		} else if (!validarFecha(form.fecha.value)) {
			alert(alertafecha); form.fecha.focus(); return false;			
		}

		if (relleno(form.nombre.value))
		{ 
			alert(alerta); form.nombre.focus(); return false; 
		}

<?php
	if ($num_idiomas >= 1) {
?>
		if (relleno(form.nombre_1.value))
		{ 
			alert(alerta); form.nombre_1.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 2) {
?>
		if (relleno(form.nombre_2.value))
		{ 
			alert(alerta); form.nombre_2.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 3) {
?>
		if (relleno(form.nombre_3.value))
		{ 
			alert(alerta); form.nombre_3.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 4) {
?>
		if (relleno(form.nombre_4.value))
		{ 
			alert(alerta); form.nombre_4.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 5) {
?>
		if (relleno(form.nombre_5.value))
		{ 
			alert(alerta); form.nombre_5.focus(); return false; 
		}
<?php
	}
?>


<?php
	// ARCHIVOS //
	} else if (strstr($archivo_php,ARCHIVOS))
	{
?>

	var alerta = "<?php echo LEN_ADMIN_19;?>";
	var alertafecha = "<?php echo LEN_ADMIN_20;?>";
	var alertaelegir = "<?php echo LEN_ADMIN_192;?>";
	
	if (!relleno(form.archivo.value) && !relleno(form.archivo_ftp.value) && form.archivo_repos.value != "http://")
	{
			alert(alertaelegir); return false;
	} else if (!relleno(form.archivo.value) && !relleno(form.archivo_ftp.value)) {
			alert(alertaelegir); return false;
	} else if (!relleno(form.archivo.value) && form.archivo_repos.value != "http://") {
			alert(alertaelegir); return false;
	} else if (!relleno(form.archivo_ftp.value) && form.archivo_repos.value != "http://") {
			alert(alertaelegir); return false;
	}

	if (relleno(form.canID.value))
	{ 
		alert(alerta); form.canID.focus(); return false; 
	}

<?php
	if (!isset($ig[$campoid]) && !isset($in["actualizar"]))
	{
?>
	var alertaarchivo = "<?php echo LEN_ADMIN_21;?>";
	
		if (relleno(form.archivo.value) && relleno(form.archivo_ftp.value) && relleno(form.archivo_repos.value))
		{ 
			alert(alertaarchivo); form.archivo.focus(); return false;
		
		} 
<?php
	}
?>

		if (relleno(form.fecha.value))
		{ 
			alert(alerta); form.fecha.focus(); return false; 
		} else if (!validarFecha(form.fecha.value)) {
			alert(alertafecha); form.fecha.focus(); return false;			
		}

		if (relleno(form.nombre.value))
		{ 
			alert(alerta); form.nombre.focus(); return false; 
		}

<?php
	if ($num_idiomas >= 1) {
?>
		if (relleno(form.nombre_1.value))
		{ 
			alert(alerta); form.nombre_1.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 2) {
?>
		if (relleno(form.nombre_2.value))
		{ 
			alert(alerta); form.nombre_2.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 3) {
?>
		if (relleno(form.nombre_3.value))
		{ 
			alert(alerta); form.nombre_3.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 4) {
?>
		if (relleno(form.nombre_4.value))
		{ 
			alert(alerta); form.nombre_4.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 5) {
?>
		if (relleno(form.nombre_5.value))
		{ 
			alert(alerta); form.nombre_5.focus(); return false; 
		}
<?php
	}
?>


<?php
	// CANALES //
	} else if (strstr($archivo_php,CANALES))
	{
?>

	var alerta = "<?php echo LEN_ADMIN_19;?>";
<?php
	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{
?>
	var alertaigualparent = "<?php echo LEN_ADMIN_325;?>";

		if (form.parent.value == <?php  echo $row[$campoid]; ?>)
		{ 
			alert(alertaigualparent); form.parent.focus(); return false; 
		}
<?php
	}
?>

		if (relleno(form.nombre.value))
		{ 
			alert(alerta); form.nombre.focus(); return false; 
		}

<?php
	if ($num_idiomas >= 1) {
?>
		if (relleno(form.nombre_1.value))
		{ 
			alert(alerta); form.nombre_1.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 2) {
?>
		if (relleno(form.nombre_2.value))
		{ 
			alert(alerta); form.nombre_2.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 3) {
?>
		if (relleno(form.nombre_3.value))
		{ 
			alert(alerta); form.nombre_3.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 4) {
?>
		if (relleno(form.nombre_4.value))
		{ 
			alert(alerta); form.nombre_4.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 5) {
?>
		if (relleno(form.nombre_5.value))
		{ 
			alert(alerta); form.nombre_5.focus(); return false; 
		}
<?php
	}
?>


<?php
	// CATEGORIAS_PRIV //
	} else if (strstr($archivo_php,CATEGORIAS_PRIV))
	{
?>

	var alerta = "<?php echo LEN_ADMIN_19;?>";
<?php
	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{
?>
	var alertaigualparent = "<?php echo LEN_ADMIN_27;?>";

		if (form.parent.value == <?php  echo $row[$campoid]; ?>)
		{ 
			alert(alertaigualparent); form.parent.focus(); return false; 
		}
<?php
	}
?>

		if (relleno(form.nombre.value))
		{ 
			alert(alerta); form.nombre.focus(); return false; 
		}

<?php
	if ($num_idiomas >= 1) {
?>
		if (relleno(form.nombre_1.value))
		{ 
			alert(alerta); form.nombre_1.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 2) {
?>
		if (relleno(form.nombre_2.value))
		{ 
			alert(alerta); form.nombre_2.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 3) {
?>
		if (relleno(form.nombre_3.value))
		{ 
			alert(alerta); form.nombre_3.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 4) {
?>
		if (relleno(form.nombre_4.value))
		{ 
			alert(alerta); form.nombre_4.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 5) {
?>
		if (relleno(form.nombre_5.value))
		{ 
			alert(alerta); form.nombre_5.focus(); return false; 
		}
<?php
	}
?>


<?php
	// CATEGORIAS //
	} else if (strstr($archivo_php,CATEGORIAS))
	{
?>

	var alerta = "<?php echo LEN_ADMIN_19;?>";
<?php
	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{
?>
	var alertaigualparent = "<?php echo LEN_ADMIN_27;?>";

		if (form.parent.value == <?php  echo $row[$campoid]; ?>)
		{ 
			alert(alertaigualparent); form.parent.focus(); return false; 
		}
<?php
	}
?>

		if (relleno(form.nombre.value))
		{ 
			alert(alerta); form.nombre.focus(); return false; 
		}

<?php
	if ($num_idiomas >= 1) {
?>
		if (relleno(form.nombre_1.value))
		{ 
			alert(alerta); form.nombre_1.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 2) {
?>
		if (relleno(form.nombre_2.value))
		{ 
			alert(alerta); form.nombre_2.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 3) {
?>
		if (relleno(form.nombre_3.value))
		{ 
			alert(alerta); form.nombre_3.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 4) {
?>
		if (relleno(form.nombre_4.value))
		{ 
			alert(alerta); form.nombre_4.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 5) {
?>
		if (relleno(form.nombre_5.value))
		{ 
			alert(alerta); form.nombre_5.focus(); return false; 
		}
<?php
	}
?>


<?php
	// COMENTARIOS //
	} else if (strstr($archivo_php,COMENTARIOS))
	{
?>

	var alerta = "<?php echo LEN_ADMIN_19;?>";
	var alertaitem = "<?php echo LEN_ADMIN_28;?>";
	var alertamail = "<?php echo LEN_ADMIN_29;?>";
	
		if (relleno(form.itemID.value))
		{ 
			alert(alertaitem); form.itemID.focus(); return false; 
		}
		
		if (relleno(form.asunto.value))
		{ 
			alert(alerta); form.asunto.focus(); return false; 
		}
	
		if (!relleno(form.email.value))
		{ 
			if (!mailcorrecto(form.email.value)) {
			alert(alertamail); form.email.focus(); return false;			
			} 
		}


<?php
	// DESTACADOS //
	} else if (strstr($archivo_php,DESTACADOS))
	{
?>

<?php
	if ($no_get && !isset($in["actualizar"]))
	{
?>	
	var alertaitem = "<?php echo LEN_ADMIN_28;?>";
		
		if (relleno(form.itemID.value))
		{ 
			alert(alertaitem); form.itemID.focus(); return false; 
		}

<?php
	} else {
?>
 	return true;
<?php
	}
?>	


<?php
	// IDIOMA_ADMIN //
	} else if (strstr($archivo_php,IDIOMA_ADMIN))
	{
?>

	var alerta = "<?php echo LEN_ADMIN_19;?>";
	
<?php
	if ($no_get && !isset($in["actualizar"]))
	{
?>		
		if (relleno(form.topic.value))
		{ 
			alert(alerta); form.topic.focus(); return false; 
		}
<?php
	}
?>
		if (relleno(form.topic_pre.value))
		{ 
			alert(alerta); form.topic_pre.focus(); return false; 
		}


<?php
	// IDIOMAS //
	} else if (strstr($archivo_php,IDIOMAS))
	{
?>

	var alerta = "<?php echo LEN_ADMIN_19;?>";
	
		if (relleno(form.topic_0.value) && !form.nobligar.checked)
		{ 
			alert(alerta); form.topic_0.focus(); return false; 
		}



<?php
	// IMAGENES //
	} else if (strstr($archivo_php,IMAGENES))
	{
?>

	var alerta = "<?php echo LEN_ADMIN_19;?>";
		
		if (relleno(form.canID.value))
		{ 
			alert(alerta); form.canID.focus(); return false; 
		}

<?php
	if (!isset($ig["imgID"]) && !isset($in["actualizar"]))
	{
?>
	var alertaarchivo = "<?php echo LEN_ADMIN_21;?>";
	
		if (relleno(form.imagen_ampliacion.value))
		{ 
			alert(alertaarchivo); form.imagen_ampliacion.focus(); return false; 
		}
<?php
	}
?>



<?php
	// INGENIO //
	} else if (strstr($archivo_php,INGENIO))
	{
?>

	var alerta = "<?php echo LEN_ADMIN_19;?>";
	
		if (relleno(form.topic.value))
		{ 
			alert(alerta); form.topic.focus(); return false; 
		}


<?php
	// ITEMS //
	} else if (strstr($archivo_php,ITEMS))
	{
?>

	var alerta = "<?php echo LEN_ADMIN_19;?>";
	var alertafecha = "<?php echo LEN_ADMIN_20;?>";	
<?php
	if ($no_get && !isset($in["actualizar"]))
	{
?>		
	var alertacat = "<?php echo LEN_ADMIN_33;?>";
			
<?php
		if ($row["item_tipo"] == 1) // redaccion
		{
?>
			if (relleno(form.catID.value))
			{ 
				alert(alertacat); form.catID.focus(); return false;
			}
<?php
		} else if ($row["item_tipo"] == 2) // intranet
		{
?>
			if (relleno(form.catprivID.value))
			{
				alert(alertacat); form.catprivID.focus(); return false;
			}
<?php
		} else if ($row["item_tipo"] == 3) // tienda
		{
?>
			if (relleno(form.cataID.value))
			{
				alert(alertacat); form.cataID.focus(); return false;
			}
<?php
		}
	
	} // del if 

?>
		if (relleno(form.fecha.value))
		{ 
			alert(alerta); form.fecha.focus(); return false; 
		} else if (!validarFecha(form.fecha.value)) {
			alert(alertafecha); form.fecha.focus(); return false;			
		}

		if (relleno(form.titulo.value))
		{ 
			alert(alerta); form.titulo.focus(); return false; 
		}

<?php

	if ($num_idiomas >= 1) {
?>
		if (relleno(form.titulo_1.value))
		{ 
			alert(alerta); form.titulo_1.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 2) {
?>
		if (relleno(form.titulo_2.value))
		{ 
			alert(alerta); form.titulo_2.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 3) {
?>
		if (relleno(form.titulo_3.value))
		{ 
			alert(alerta); form.titulo_3.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 4) {
?>
		if (relleno(form.titulo_4.value))
		{ 
			alert(alerta); form.titulo_4.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 5) {
?>
		if (relleno(form.titulo_5.value))
		{ 
			alert(alerta); form.titulo_5.focus(); return false; 
		}
<?php
	}
	
	if ($row["item_tipo"] == 1 || $row["item_tipo"] == 2) // redaccion, intranet
	{

?>
	
	
		// fechas adicionales
		if (!relleno(form.n5_fecha_ini.value))
		{ 
			if (!validarFecha(form.n5_fecha_ini.value)) {
				alert(alertafecha); form.n5_fecha_ini.focus(); return false;
			}
		}
		if (!relleno(form.n5_fecha_fin.value))
		{ 
			if (!validarFecha(form.n5_fecha_fin.value)) {
				alert(alertafecha); form.n5_fecha_fin.focus(); return false;
			}
		}
		// email
		if (!relleno(form.n5_email.value))
		{ 
			if (!mailcorrecto(form.n5_email.value)) {
				alert(alertamail); form.n5_email.focus(); return false;
			}
		}

<?php
	
	} // del if

	if ($row["item_tipo"] == 3) // tienda
	{
?>
		// pvp
		if (relleno(form.td_precio.value))
		{ 
			alert(alerta); form.td_precio.focus(); return false; 
		}
<?php
	}
?>

<?php
	// LINKS //
	} else if (strstr($archivo_php,LINKS))
	{
?>

	var alerta = "<?php echo LEN_ADMIN_19;?>";
	var alertaurl = "<?php echo LEN_ADMIN_34;?>";
	
		if (form.url.value == "http://")
		{ 
			alert(alertaurl); form.url.focus(); return false; 
			
		} else if (relleno(form.url.value))
		{
			alert(alertaurl); form.url.focus(); return false;
		}

		if (relleno(form.titulo.value))
		{ 
			alert(alerta); form.titulo.focus(); return false; 
		}

<?php
	if ($num_idiomas >= 1) {
?>
		if (relleno(form.titulo_1.value))
		{ 
			alert(alerta); form.titulo_1.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 2) {
?>
		if (relleno(form.titulo_2.value))
		{ 
			alert(alerta); form.titulo_2.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 3) {
?>
		if (relleno(form.titulo_3.value))
		{ 
			alert(alerta); form.titulo_3.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 4) {
?>
		if (relleno(form.titulo_4.value))
		{ 
			alert(alerta); form.titulo_4.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 5) {
?>
		if (relleno(form.titulo_5.value))
		{ 
			alert(alerta); form.titulo_5.focus(); return false; 
		}
<?php
	}
?>

<?php
	// MULTIMEDIA //
	} else if (strstr($archivo_php,MULTIMEDIA))
	{
?>

	var alerta = "<?php echo LEN_ADMIN_19;?>";

<?php
	if ($no_get)
	{
?>
	if (relleno(form.tipo.value))
	{
			alert(alerta); form.tipo.focus(); return false;
	}

<?php
	}
?>

<?php
	// general
	if (isset($ig["publicar"]) || isset($ig[$campoid]) || isset($in["actualizar"]))
	{
?>

	var alertafecha = "<?php echo LEN_ADMIN_20;?>";	

	if (relleno(form.canID.value))
	{ 
		alert(alerta); form.canID.focus(); return false; 
	}

	if (relleno(form.fecha.value))
	{ 
		alert(alerta); form.fecha.focus(); return false; 
	} else if (!validarFecha(form.fecha.value)) {
		alert(alertafecha); form.fecha.focus(); return false;			
	}

<?php

	if ($row["tipo"] == 1 || $row["tipo"] == 2) // flv | mp3
	{
?>

	var alertaarchivo = "<?php echo LEN_ADMIN_21;?>";
	var alertaancho = "<?php echo LEN_ADMIN_19;?>\n> 100";
	var alertaalto = "<?php echo LEN_ADMIN_19;?>\n> 20";
	var alertaelegir = "<?php echo LEN_ADMIN_192;?>";

	if (relleno(form.archivo.value) && relleno(form.archivo_ftp.value) && relleno(form.archivo_repos.value))
	{ 
		alert(alertaarchivo); form.archivo.focus(); return false;
		
	} 
	
	if (!relleno(form.archivo.value) && !relleno(form.archivo_ftp.value) && form.archivo_repos.value != "http://")
	{
			alert(alertaelegir); return false;
	} else if (!relleno(form.archivo.value) && !relleno(form.archivo_ftp.value)) {
			alert(alertaelegir); return false;
	} else if (!relleno(form.archivo.value) && form.archivo_repos.value != "http://") {
			alert(alertaelegir); return false;
	} else if (!relleno(form.archivo_ftp.value) && form.archivo_repos.value != "http://") {
			alert(alertaelegir); return false;
	}

		if (relleno(form.ancho.value) || form.ancho.value < 100)
		{ 
			alert(alertaancho); form.ancho.focus(); return false;
		} else if (relleno(form.alto.value) || form.alto.value < 20)
		{ 
			alert(alertaalto); form.alto.focus(); return false;
		}

<?php

	} // del if tipo
	
	if ($row["tipo"] == 3 || $row["tipo"] == 4) // embed
	{

?>
		if (relleno(form.embed_code.value))
		{ 
			alert(alerta); form.embed_code.focus(); return false; 
		}
<?php
	
	} // del if tipo
?>
		
		if (relleno(form.nombre.value))
		{ 
			alert(alerta); form.nombre.focus(); return false; 
		}

<?php
	if ($num_idiomas >= 1) {
?>
		if (relleno(form.nombre_1.value))
		{ 
			alert(alerta); form.nombre_1.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 2) {
?>
		if (relleno(form.nombre_2.value))
		{ 
			alert(alerta); form.nombre_2.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 3) {
?>
		if (relleno(form.nombre_3.value))
		{ 
			alert(alerta); form.nombre_3.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 4) {
?>
		if (relleno(form.nombre_4.value))
		{ 
			alert(alerta); form.nombre_4.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 5) {
?>
		if (relleno(form.nombre_5.value))
		{ 
			alert(alerta); form.nombre_5.focus(); return false; 
		}
<?php
	}
	
	} // del if general
?>


<?php
	// PAGINAS //
	} else if (strstr($archivo_php,PAGINAS))
	{
?>

	var alerta = "<?php echo LEN_ADMIN_19;?>";

		if (relleno(form.titulo.value))
		{ 
			alert(alerta); form.titulo.focus(); return false; 
		}

<?php
	if ($num_idiomas >= 1) {
?>
		if (relleno(form.titulo_1.value))
		{ 
			alert(alerta); form.titulo_1.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 2) {
?>
		if (relleno(form.titulo_2.value))
		{ 
			alert(alerta); form.titulo_2.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 3) {
?>
		if (relleno(form.titulo_3.value))
		{ 
			alert(alerta); form.titulo_3.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 4) {
?>
		if (relleno(form.titulo_4.value))
		{ 
			alert(alerta); form.titulo_4.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 5) {
?>
		if (relleno(form.titulo_5.value))
		{ 
			alert(alerta); form.titulo_5.focus(); return false; 
		}
<?php
	}
?>

<?php
	// PORTADA //
	} else if (strstr($archivo_php,PORTADA))
	{
?>

<?php
	if ($no_get && !isset($in["actualizar"]))
	{
?>	
	var alertaitem = "<?php echo LEN_ADMIN_28;?>";
		
		if (relleno(form.itemID.value))
		{ 
			alert(alertaitem); form.itemID.focus(); return false; 
		}

<?php
	} else {
?>
 	return true;
<?php
	}
?>	


<?php
	// RELACIONADOS //
	} else if (strstr($archivo_php,RELACIONADOS))
	{
?>

<?php
	if ($no_get)
	{
?>
	var alerta = "<?php echo LEN_ADMIN_19;?>";
	var alertaitem = "<?php echo LEN_ADMIN_28;?>";
	
		if (relleno(form.itemID.value))
		{ 
			alert(alertaitem); form.itemID.focus(); return false; 
		}
		
		if (relleno(form.tipo.value))
		{ 
			alert(alerta); form.tipo.focus(); return false; 
		}
<?php
	}
?>					



<?php
	// TD_CATALOGOS //
	} else if (strstr($archivo_php,TD_CATALOGOS))
	{
?>

	var alerta = "<?php echo LEN_ADMIN_19;?>";
<?php
	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{
?>
	var alertaigualparent = "<?php echo LEN_ADMIN_27;?>";

		if (form.parent.value == <?php  echo $row[$campoid]; ?>)
		{ 
			alert(alertaigualparent); form.parent.focus(); return false; 
		}
<?php
	}
?>

		if (relleno(form.nombre.value))
		{ 
			alert(alerta); form.nombre.focus(); return false; 
		}

<?php
	if ($num_idiomas >= 1) {
?>
		if (relleno(form.nombre_1.value))
		{ 
			alert(alerta); form.nombre_1.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 2) {
?>
		if (relleno(form.nombre_2.value))
		{ 
			alert(alerta); form.nombre_2.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 3) {
?>
		if (relleno(form.nombre_3.value))
		{ 
			alert(alerta); form.nombre_3.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 4) {
?>
		if (relleno(form.nombre_4.value))
		{ 
			alert(alerta); form.nombre_4.focus(); return false; 
		}
<?php
	}
	if ($num_idiomas >= 5) {
?>
		if (relleno(form.nombre_5.value))
		{ 
			alert(alerta); form.nombre_5.focus(); return false; 
		}
<?php
	}
?>


<?php
	// TD_OFERTAS //
	} else if (strstr($archivo_php,TD_OFERTAS))
	{
?>

<?php
	if ($no_get && !isset($in["actualizar"]))
	{
?>	
	var alertaitem = "<?php echo LEN_ADMIN_28;?>";
		
		if (relleno(form.prodID.value))
		{ 
			alert(alertaitem); form.prodID.focus(); return false; 
		}

<?php
	} else {
?>
 	return true;
<?php
	}
?>	


<?php
	// TD_PEDIDOS //
	} else if (strstr($archivo_php,TD_PEDIDOS))
	{
?>

	var alerta = "<?php echo LEN_ADMIN_19;?>";
	var alertamail = "<?php echo LEN_ADMIN_29;?>";
	
		if (relleno(form.nombre_cliente.value))
		{ 
			alert(alerta); form.nombre_cliente.focus(); return false; 
		}
			
		if (!relleno(form.email_cliente.value))
		{ 
			if (!mailcorrecto(form.email_cliente.value)) {
			alert(alertamail); form.email_cliente.focus(); return false;			
			} 
		}

<?php
	// TD_CARRO //
	} else if (strstr($archivo_php,TD_CARRO))
	{
?>

	var alerta = "<?php echo LEN_ADMIN_19;?>";
	
		if (relleno(form.itemID.value))
		{ 
			alert(alerta); form.itemID.focus(); return false; 
		}
		if (relleno(form.pedID.value))
		{ 
			alert(alerta); form.pedID.focus(); return false; 
		}
		if (relleno(form.precio_producto.value))
		{ 
			alert(alerta); form.precio_producto.focus(); return false; 
		}
		if (relleno(form.cantidad_producto.value))
		{ 
			alert(alerta); form.cantidad_producto.focus(); return false; 
		}
			


<?php
	// TRADUCCIONES //
	} else if (strstr($archivo_php,TRADUCCIONES))
	{
?>
	var alerta = "<?php echo LEN_ADMIN_19;?>";
	var alertaitem = "<?php echo LEN_ADMIN_28;?>";
	var alertafecha = "<?php echo LEN_ADMIN_20;?>";	
	
		if (relleno(form.itemID.value))
		{ 
			alert(alertaitem); form.itemID.focus(); return false; 
		}
		
		if (relleno(form.fecha.value))
		{ 
			alert(alerta); form.fecha.focus(); return false; 
		} else if (!validarFecha(form.fecha.value)) {
			alert(alertafecha); form.fecha.focus(); return false;			
		}
		
		if (relleno(form.idioma.value))
		{ 
			alert(alerta); form.idioma.focus(); return false; 
		}


<?php
	} // del if (strstr($archivo_php, ...

	
	// FIN TABLAS //

?>

<?php

	// PHP //

	// COMPOSICION //
	if (strstr($archivo,"composicion"))
	{
?>

	var alerta = "<?php echo LEN_ADMIN_19;?>";

		if (relleno(form.nombre.value))
		{ 
			alert(alerta); form.nombre.focus(); return false; 
		}

<?php
	if ($no_get && !isset($in["actualizar"]))
	{
?>		
		
		if (relleno(form.composicion.value))
		{
			alert(alerta); form.composicion.focus(); return false; 
		}

		if (form.enabled.checked)
		{
			var conf = window.confirm('<?php echo LEN_ADMIN_220;?>?');
			if (conf)
			{
				return true;
			} else {
				return false;
			}
		}
		

<?php
	}
?>


<?php
	// PERSONALIZAR //
	} else if (strstr($archivo,"personalizar"))
	{
?>

	var alerta = "<?php echo LEN_ADMIN_19;?>";
	var alertamail = "<?php echo LEN_ADMIN_29;?>";

		if (relleno(form.conf_12.value))
		{ 
			alert(alerta); form.conf_12.focus(); return false; 
		} else {
			if (!mailcorrecto(form.conf_12.value))
			{
				alert(alertamail); form.conf_12.focus(); return false; 
			}		
		}

		if (relleno(form.conf_8.value))
		{ 
			alert(alerta); form.conf_8.focus(); return false; 
		}

		if (relleno(form.conf_9.value))
		{ 
			alert(alerta); form.conf_9.focus(); return false; 
		}


<?php
	// USUARIOS //
	} else if (strstr($archivo,"usuarios"))
	{
?>

	var alerta = "<?php echo LEN_ADMIN_19;?>";


		if (relleno(form.list_users.value))
		{ 
			alert(alerta); form.list_users.focus(); return false; 
		}

<?php
	} // del if (strstr($archivo, ...


	// FIN PHP //

?>

	
} // fin validar_ingreso

</script>